using UnityEngine;
using System.Collections;

public class Constants {
	private Constants() {}
	
	public static GridPos LIGHT_LEADER_START = new GridPos(0, 10);
	public static GridPos LIGHT_RED_START = new GridPos(0, 9);
	public static GridPos LIGHT_GREEN_START = new GridPos(1, 10);
	public static GridPos LIGHT_BLUE_START = new GridPos(1, 9);
	
	public static GridPos DARK_LEADER_START = new GridPos(10, 0);
	public static GridPos DARK_RED_START = new GridPos(10, 1);
	public static GridPos DARK_GREEN_START = new GridPos(9, 0);
	public static GridPos DARK_BLUE_START = new GridPos(9, 1);
	
	public static float LEADER_MAX_HEALTH = 1.0f;
	public static int LEADER_SPEED = 4;
	public static int LEADER_VISION = 1;
	public static int LEADER_REACH = 1;
	
	public static float RED_MAX_HEALTH = 1.0f;
	public static int RED_SPEED = 2;
	public static int RED_VISION = 4;
	public static int RED_REACH = 1;
	
	public static float GREEN_MAX_HEALTH = 1.0f;
	public static int GREEN_SPEED = 2;
	public static int GREEN_VISION = 4;
	public static int GREEN_REACH = 1;
	
	public static float BLUE_MAX_HEALTH = 1.0f;
	public static int BLUE_SPEED = 2;
	public static int BLUE_VISION = 4;
	public static int BLUE_REACH = 1;
}
